<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<!--
 Copyright 2007 Jesse Andrews and Manish Singh
 
 This file may be used under the terms of of the
 GNU General Public License Version 2 or later (the "GPL"),
 http://www.gnu.org/licenses/gpl.html
 
 Software distributed under the License is distributed on an "AS IS" basis,
 WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 for the specific language governing rights and limitations under the
 License.
-->
<html>
  <head>
    <title>Taboo</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <script type="text/javascript" src="chrome://browser/content/utilityOverlay.js"></script>
    <script type="text/javascript">
    // for debugging - get around chrome caching
    document.write('<link rel="stylesheet" href="chrome://taboo/skin/start.css?' + Math.random() + '" />');
    document.write('<link rel="stylesheet" href="chrome://taboo/skin/calendar.css?' + Math.random() + '" />');
    document.write('<link rel="stylesheet" href="chrome://taboo/skin/grid.css?' + Math.random() + '" />');
    document.write('<link rel="stylesheet" href="chrome://taboo/skin/trash.css?' + Math.random() + '" />');
    document.write('<link rel="stylesheet" href="chrome://taboo/skin/about.css?' + Math.random() + '" />');

		const CC = Components.classes;
		const CI = Components.interfaces;
    const SVC = Components.classes['@oy/taboo;1']
                          .getService(Components.interfaces.oyITaboo);
    tboPrefs = CC['@mozilla.org/preferences-service;1'].getService(CI.nsIPrefBranch);

    var $ = function(x) { return document.getElementById(x); }

    function init() {
      const loader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
                               .getService(Components.interfaces.mozIJSSubScriptLoader);

      var scripts = [
          'chrome://taboo/content/calendar.js',
          'chrome://taboo/content/grid.js',
          'chrome://taboo/content/trash.js',
          'chrome://taboo/content/about.js',
          'chrome://taboo/content/start.js',
        ];

      scripts.forEach(function(script) {
        loader.loadSubScript(script);
      });

      $('search').onkeyup = function(event) {
        controller.filter($('search').value);
      }
      $('search').value = '';
      $('search').focus();
    }

    window.addEventListener("load", init, false);

    </script>
  </head>
  <body>
    <div id="header">
      <div id="views">
        <a href="#" onclick="controller.load(Grid); return false;" id="grid">grid</a>
        <a href="#" onclick="controller.load(Calendar); return false;" id="calendar">calendar</a>
        <a href="#" onclick="controller.load(Trash); return false;" id="trash">trashcan</a>
        <a href="#" onclick="controller.load(About); return false;" id="about">about</a>
      </div>
      <input type="text" id="search" />
    </div>

		<div id="undelete" class="infoWrap">
			<div id="text" class="info">
				<a id="undeleteLink" href="#">Click here to undelete your taboo</a>
			</div>
		</div>
    <div id="content"></div>
  </body>
</html>

